/*
Theme Name: etheco-theme
Theme URI: https://etheco.com
Description: Etheco child theme for 2024
Author: SLevine
Author URI: https://sonik-systems.com
Template: twentytwentyfour
Version: 1.0.0
*/





@font-face {
    	font-family: 'Helvetica-Light';
 	src: 
        url('../../../wp-content/themes/etheco-theme/fonts/helvetica-light.eot') format('embedded-opentype'),
		url('../../../wp-content/themes/etheco-theme/fonts/helvetica-light.eot?#iefix') format('embedded-opentype'), 
		url('../../../wp-content/themes/etheco-theme/fonts/helvetica-light.woff2') format('woff2'),
		url('../../../wp-content/themes/etheco-theme/fonts/Helvetica Light Regular.otf') format("opentype"),
		url('../../../wp-content/themes/etheco-theme/fonts/helvetica-light.ttf') format('truetype');

	font-display:swap;
}


@font-face {
    	font-family: 'Poppins-Regular';
 	src: 
		url('../../../wp-content/themes/etheco-theme/fonts/Poppins-Regular.woff2') format('woff2'),
		url('../../../wp-content/themes/etheco-theme/fonts/Poppins-Regular.woff') format('woff'),
		url('../../../wp-content/themes/etheco-theme/fonts/Poppins-Regular.ttf') format('truetype');

	font-display:swap;
}


@font-face {
    	font-family: 'Poppins-SemiBold';
 	src: 
		url('../../../wp-content/themes/etheco-theme/fonts/Poppins-SemiBold.woff2') format('woff2'),
		url('../../../wp-content/themes/etheco-theme/fonts/Poppins-SemiBold.woff') format('woff'),
		url('../../../wp-content/themes/etheco-theme/fonts/Poppins-SemiBold.ttf') format('truetype');

	font-display:swap;
}

@font-face {
    	font-family: 'Poppins-Bold';
 	src: 
		url('../../../wp-content/themes/etheco-theme/fonts/Poppins-Bold.woff2') format('woff2'),
		url('../../../wp-content/themes/etheco-theme/fonts/Poppins-Bold.woff') format('woff'),
		url('../../../wp-content/themes/etheco-theme/fonts/Poppins-Bold.ttf') format('truetype');

	font-display:swap;
}




:root {	
	--ethecoGreen:#009245;
	--ethecoAmber:#DFB82D;
	--ethecoRed:#9F2B20;
    --ethecoDarkgrey:#4d4d4d;
    
}


body {


font-family: 'Helvetica-Light', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;



/*    background: #009245 !important;*/

    background: white;

    margin: auto!important;

	max-width:1600px;
}

/* stop lateral movement on mobile */

html, body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}

* {
  box-sizing: border-box;
}


a {

        text-decoration: none !important;
        -webkit-text-decoration-skip: objects !important; 
}




.etheco {
    font-family: 'Poppins-Bold', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;

}



 /* mobile navigation */
:where(.wp-site-blocks *:focus) {

    outline-style: none;
}


.wp-block-navigation__responsive-container-close svg, .wp-block-navigation__responsive-container-open svg {
    height: 42px;
    width: 35px;
    color: var(--ethecoGreen);
}


.wp-block-navigation__responsive-container-open svg {
    padding-right: 2px;
}

.has-modal-open .wp-block-navigation__responsive-close {
    max-width: unset;
}

.wp-block-navigation__responsive-container-close {
    right: 2%;
    top: 19px;
}


.wp-block-navigation__responsive-container.is-menu-open {
    padding:0;
    padding-left: 2%;
    background-color: white !important;
}


/* Make hamburger thicker */
.wp-block-navigation__responsive-container-open svg {
    transform: scale(1.5, 1.5);
    transform-origin: center;

    
}

/* Make close icon thicker */
.wp-block-navigation__responsive-container-close svg {
    transform: scale(1.45);
    transform-origin: center;
}


.wp-block-navigation__responsive-container-open svg,
.wp-block-navigation__responsive-container-close svg {
    display:none;
}    

.custom-hamburger,
.custom-close {
    display:block!important;
    stroke-width: 2;  /* thicker */
}



@media (min-width: 600px) {
    .wp-block-navigation__responsive-container-close {
        top: 27px;
    }
}

@media (min-width: 875px) {
    .wp-block-navigation__responsive-container-close {
        top: 32px;
    }
}

@media (min-width: 1050px) {
    .wp-block-navigation__responsive-container-close {
        top: 37px;
    }
}

@media (min-width: 1600px) {

    .has-modal-open .wp-block-navigation__responsive-close {
        max-width: 1600px;
    }

    .wp-block-navigation__responsive-container-close {
        right: 3%;
    }

}




@media (max-width: 550px) {

    .wp-block-navigation__responsive-container-close {
        top: 15px;
    }

}


@media (max-width: 400px) {

    .wp-block-navigation__responsive-container-close svg, .wp-block-navigation__responsive-container-open svg {
            height: 34px;
            width: 30px;
    }

}




.hrblob {
  border: 0;
  height: 0;                 /* key: don't create a containing height */
  border-top: 2px solid #ffffff;/* line thickness */
  position: relative;
  overflow: visible;         /* key: allow pseudo-element to exceed */
  margin: 24px 0;
    
}


.hrblob::after {
    content: "";
  position: absolute;
  right: 0;
  top: 0;                    /* aligns to the border-top line */
  width: 10px;               /* blob size */
  height: 10px;
  background: #ffffff;
  border-radius: 50%;
  transform: translate(50%, -60%); /* half outside end, centered on line */
    
}

@media (max-width:781px) {
    
    .hrblob {
        margin-right: 15%;
    }


}

.whiteblob {
  border-top: 2px solid var(--ethecoGreen); /* line thickness */
}
.whiteblob::after {
    background: var(--ethecoGreen);
}



.column-stretched {
    display: flex;
  flex-direction: column;
  justify-content: space-between;
  
}




@media (max-width: 781px) {
    
    
    .column-stretched {    
        border-top-right-radius: 12px;
/*        border-top-left-radius: 0px;
        border-bottom-left-radius: 24px;
        border-bottom-right-radius: 24px;
*/
    }

.featuredImage img {
border-top-right-radius: 0px!important;
    
}
}   

.card_x4 {
    display: flex;
    flex-direction: column;
    height: 100%;
/*    border: 2px solid #1e8e3e;
    border-radius: 16px;
*/

overflow: hidden;
}


.card_x4top {
/*     padding: 40px 20px 20px;
    text-align: center;
    */
    
}

.card_x4bottom {
/*        background: #e6e6e6;
    padding: 30px 20px;
*/

flex-grow: 1;
}


.card_x4bottom p.has-background {
    padding-top: 14px;
    padding-bottom: 14px;
}

.cta-split {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 44px;
/*

    padding: 0;

    border-radius: 6px;*/

    text-decoration: none;
}

/* Make the link behave like a flex container */
.cta-split .wp-block-button__link {
    display: flex;
    align-items: center;
    width: 100%;
/*
padding: 0;
*/
    
}

/* Left 20% icon */
.cta-split .cta-icon {
    flex: 0 0 20%;

    max-height: 30px;

    width: auto;
    object-fit: contain;
}

/* Right 80% text */
.cta-split .cta-label {
    flex: 0 0 80%;
    text-align: center;
/*    color: #fff;
    font-weight: 600;*/
    
    
    padding-bottom: 3px;
    
}


@media (min-width: 600px) {
    .outercolumn {
        flex-basis: 15%!important;
    }
}


.footer_links a {
    
 		text-decoration: none;
   
}




@media screen and (max-width: 781px) { 

	.grid1 {grid-area:gridone;}
	.grid2 {grid-area:gridtwo;}

	.gridcontainer {

		display:grid !important;
		grid-template-areas:
		"gridtwo"
		"gridone";
		grid-template-columns: 1fr;
	}

}













.wpcf7-form {

/*

    color:var(--impactWhite);
    width:600px;

    
*/

    border: 2px solid var(--ethecoGreen);
    background-color: #E5E5E5;
    padding: 0;
    border-radius: 20px;

}

.wpcf7-form .getintouch {
    color: white;
    background: var(--ethecoGreen);
    border-top-left-radius: 18px;
    border-top-right-radius: 18px;
    font-size: var(--wp--preset--font-size--xx-large);   
    font-weight:900;
        font-family: 'Poppins-SemiBold', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;

    padding-left:1rem;
    line-height:7rem;
}


.wpcf7-form .getintouch p {
    margin-block-start: 0;
}

.wpcf7-form .formInnerWrapper{
    line-height:1.3rem;
    padding-left: 20px;
    padding-right: 20px;    

    text-align:center;
}

.wpcf7-form .formInnerWrapper a {

/*    color:var(--impactWhite);
*/
    
}


.wpcf7-form input, .wpcf7-form textarea, #getintouchTextarea {
    width:95%;

    line-height: 1.6rem;
    font-size: 1.1rem;
    padding: 4px;
    border-radius: 9px;
    margin-top:8px;
    padding-left: 10px;

        border: 2px solid var(--ethecoGreen);

} 



.wpcf7-form input[type="checkbox"]  {
    width:unset;
}

.wpcf7-list-item {
    margin:0;
}

.wpcf7-form textarea {
    height:175px;
}


.wpcf7-form .submitWrapper {
        text-align: end;
}

.wpcf7-form .wpcf7-submit {

    width: max-content;
    font-size: 1.2rem;
    font-size: var(--wp--preset--font-size--large);
    font-weight: 600;
    padding: 11px;
    margin: 0;
    margin-left: 8px;
    margin-right: 10px;
    padding-left: 28px;
    padding-right: 28px;
    border-radius: 8px;
    background: var(--ethecoGreen);
    color: white;
    

/*  
    border: 2px solid var(--impactOrange);
    font-family: "Satoshi-Regular", -apple-system, BlinkMacSystemFont, "Helvetica Neue", Helvetica, Arial, sans-serif;
*/

}


.wpcf7-form .wpcf7-submit:active {
    transform: scale(0.95);

}



.wpcf7-spinner {
    margin:0 5px;
}


.wpcf7-spinner, .wpcf7-spinner::before, .sfsiplus_footerLnk {
    display:none;
    opacity:0;
}

.wpcf7-not-valid-tip {
    color: #000000;
    font-weight:900;
}


.cf7Wrapper form, .cf7Wrapper form a  {
    background-color:unset;
    border:0px solid white;
    color:white;
    
}
.cf7Home form, .cf7Home form a  {
    color:var(--ethecoDarkgrey);
    font-size: var(--wp--preset--font-size--large);
    
}

.cf7Wrapper form input {
    
    width:20rem;
    font-size: 1.35rem;
}

.cf7Wrapper .formInnerWrapper {
    padding:0;
}

.cf7Wrapper.cf7Home .formInnerWrapper {
    line-height:2.2rem;
}

.cf7Wrapper .submitWrapper {
        text-align: unset;
}


.cf7Wrapper .wpcf7-submit {

    width: max-content;
    font-size: 1.2rem;
    font-size: var(--wp--preset--font-size--medium);
    font-weight: 600;
    padding:8px;
    margin: 0;
    margin-left: 8px;
    margin-right: 8px;
    padding-left: 17px;
    padding-right: 17px;
    border-radius: 8px;
    background: var(--ethecoGreen);
    color: white;
    border:2px solid white;

}

.cf7Wrapper.cf7Home .wpcf7-submit {

    font-size: var(--wp--preset--font-size--large);
    padding:12px;
    margin-left: 10px;
    margin-right: 10px;
    padding-left: 24px;
    padding-right: 24px;
    
}

.cf7Wrapper .cf7Larger {
    font-size: var(--wp--preset--font-size--large);
}

.home .cf7Wrapper {
    display:none;
}

.home .cf7Wrapper.cf7Home {
    display:block;
}


@media (max-width: 700px) {

    .wpcf7-form {
        width:unset;
    }

    .wpcf7-form input, .wpcf7-form textarea {
        width:98%;
    } 

    .wpcf7-form textarea {
        height:unset;
    }

    .wpcf7-form .wpcf7-submit {
/*        width:85px;*/
    }
    
    
}

@media (max-width: 400px) {

    .wpcf7-form .wpcf7-submit {

/*        width:unset;*/

        font-size:1.2rem;
        padding:6px;
        margin:0;
/*        margin-left:10px;    
*/
    }

    
}








.gdpr-table {
width: 100%;
border-collapse: collapse;
font-size: 15px;
}

.gdpr-table th {
background: var(--ethecoGreen);
color: white;
padding: 14px;
text-align: left;
font-weight:900;
        font-size: var(--wp--preset--font-size--large);   


}




.gdpr-table thead {
    border-bottom: 0px solid white!important;
}

.gdpr-table td {
padding: 14px;
border: 1px solid #dcdcdc;
vertical-align: top;
/*background: #f7f7f7;*/
}

.gdpr-table tr:nth-child(even) td {
/*background: #efefef;*/
}

/* Mobile layout */

@media (max-width: 768px) {


.gdpr-table th {
        font-size: var(--wp--preset--font-size--small);   
 padding-left: 2px;
        padding-right: 2px;
        text-align: center;
    }   
}


.gdpr-table td {
padding: 8px;
}


/*

.gdpr-table thead {
display: none;
}

.gdpr-table,
.gdpr-table tbody,
.gdpr-table tr,
.gdpr-table td {
display: block;
width: 100%;
}

.gdpr-table tr {
margin-bottom: 18px;
border: 1px solid #ddd;
background: white;
}

.gdpr-table td {
border: none;
border-bottom: 1px solid #eee;
position: relative;
padding-left: 45%;
background: white;
}

.gdpr-table td:last-child {
border-bottom: none;
}

.gdpr-table td::before {
content: attr(data-label);
position: absolute;
left: 15px;
top: 14px;
width: 40%;
font-weight: 600;
color: #333;
}

*/


}


.topCurve {
/*    margin-bottom:-3px;*/
}

.greenSeparator {
    
    margin-left:-3vw;
}



@media (min-width: 1300px) {
.greenSeparator {
    
    margin-left:-2.6rem;
}
}



.two-column-text {
  column-count: 2;
  column-gap: 40px; /* space between columns */

}


@media (max-width: 700px) {
  .two-column-text {
    column-count: 1;
  }
}







.ethecoFooter{
  display:grid;
/*  gap:8px;
  padding:8px;*/
}

.block{
 /*  padding:20px; */
  display:flex;
}


.ethecoFooter{

display:grid!important;
  grid-template-columns:1fr;

    gap:2px;
    
}

.block{
  justify-content:center;
  align-items:center;
}

.block1{ order:3; }
.block2{ order:1; }
.block3{ order:2; }
.block4{ order:4; }



@media (max-width: 782px) {
    
  .block3 > div {
      align-items:center;
  }  
}


@media (min-width:782px){

  .ethecoFooter{
    grid-template-columns: 1fr 2fr 1fr;
    grid-template-rows: 1fr auto;
  }

  .block1{
    grid-column:1;
    grid-row:1;
    justify-content:flex-start;
    align-items:flex-end;
  }

  .block2{
    grid-column:2;
    grid-row:1;
    justify-content:center;
    align-items:flex-start;
  }

  .block3{
    grid-column:3;
    grid-row:1 / span 2;
    justify-content:flex-end;
    align-items:flex-end;
  }

  .block4{
    grid-column:1 / span 2;
    grid-row:2;
    justify-content:flex-start;
    align-items:flex-end;
  }

}



@media (min-width:1208px){

  .ethecoFooter{
    grid-template-columns: 1fr 3fr 1fr;
    grid-template-rows: 1fr auto;
  }

  .block1{
    grid-column:1;
    grid-row:1;
    justify-content:flex-start;
    align-items:flex-end;
  }

  .block2{
    grid-column:2;
    grid-row:1 / span 2;
    justify-content:center;
    align-items:center;
  }

  .block3{
    grid-column:3;
    grid-row:1 / span 2;
    justify-content:flex-end;
    align-items:flex-end;
  }

  .block4{
    grid-column:1;
    grid-row:2;
    justify-content:flex-start;
    align-items:flex-end;
  }

}

